# { ... }:
# {
#  programs.argon.one = {
#     enable = true;

#     settings = {
#       # Is 'celsius' by default, can also be set to 'fahrenheit'
#       displayUnits = "celsius";

#       # This is the same config as the original Argon40 config.
#       # This is also the default config for this flake.
#       fanspeed = [
#         {
#           # This the temperature threshold at which this fan speed will activate.
#           # The temperature is in the above specified unit.
#           temperature = 55;
#           # This is speed percentage at which the fan will spin.
#           speed = 30;
#         }
#         {
#           temperature = 60;
#           speed = 55;
#         }
#         {
#           temperature = 65;
#           speed = 100;
#         }
#       ];
#       ir = {
#         enable = true;
#         gpio.enable = true;
#         keymap = {
#           "POWER" = "00ff39c6";
#           "UP" = "00ff53ac";
#           "DOWN" = "00ff4bb4";
#           "LEFT" = "00ff9966";
#           "RIGHT" = "00ff837c";
#           "VOLUMEUP" = "00ff01fe";
#           "VOLUMEDOWN" = "00ff817e";
#           "OK" = "00ff738c";
#           "HOME" = "00ffd32c";
#           "MENU" = "00ffb946";
#           "BACK" = "00ff09f6";
#         };
#       };
#     };
#   };
# }
# { lib, stdenv, pkgs, config, ...}:
# {
#   imports = let
#     argononed = fetchGit {
#       url = "https://github.com/mjallen18/argononed.git";
#       ref = "dev"; # Or any other branches deemed suitable
#     };
#   in
#     [ "${argononed}/OS/nixos" ];

#   services.argonone = {
#     enable = true;
#     logLevel = 4;
#     settings = {
#       fanTemp0 = 36; fanSpeed0 = 10;
#       fanTemp1 = 41; fanSpeed1 = 50;
#       fanTemp2 = 46; fanSpeed2 = 80;
#       hysteresis = 4;
#     };
#   };
# }
